Package org.codehaus.groovy.tools.xml

# Class DomToGroovy

java.lang.Object
org.codehaus.groovy.tools.xml.DomToGroovy

    @Deprecated
    public class DomToGroovy
    extends java.lang.Object

Deprecated.
A SAX handler for turning XML into Groovy scripts

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected boolean` | `inMixed` | Deprecated.
  `protected java.util.Collection<java.lang.String>` | `keywords` | Deprecated.
  `protected IndentPrinter` | `out` | Deprecated.
  `protected java.lang.String` | `qt` | Deprecated.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DomToGroovy​(IndentPrinter out)` | Deprecated.
  `DomToGroovy​(java.io.PrintWriter out)` | Deprecated.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected boolean` | `checkEscaping​(java.lang.String localName)` | Deprecated.
  `protected void` | `defineNamespace​(java.util.Map namespaces, java.lang.String prefix, java.lang.String uri)` | Deprecated.
  `protected java.util.Map` | `defineNamespaces​(org.w3c.dom.Element element, java.util.Map namespaces)` | Deprecated.
  `protected java.lang.String` | `escapeQuote​(java.lang.String text)` | Deprecated.
  `protected java.lang.String` | `getAttributeValue​(org.w3c.dom.Attr attribute)` | Deprecated.
  `protected java.lang.String` | `getLocalName​(org.w3c.dom.Node node)` | Deprecated.
  `protected java.lang.String` | `getTextNodeData​(org.w3c.dom.Text node)` | Deprecated.
  `static void` | `main​(java.lang.String[] args)` | Deprecated.
  `protected boolean` | `mixedContent​(org.w3c.dom.NodeList list)` | Deprecated.
  `static org.w3c.dom.Document` | `parse​(java.io.File file)` | Deprecated.
  `static org.w3c.dom.Document` | `parse​(java.io.InputStream input)` | Deprecated.
  `static org.w3c.dom.Document` | `parse​(java.io.Reader input)` | Deprecated.
  `protected static org.w3c.dom.Document` | `parse​(java.lang.String fileName)` | Deprecated.
  `protected void` | `print​(java.lang.String text)` | Deprecated.
  `void` | `print​(org.w3c.dom.Document document)` | Deprecated.
  `protected void` | `print​(org.w3c.dom.Node node, java.util.Map namespaces, boolean endWithComma)` | Deprecated.
  `protected boolean` | `printAttributes​(org.w3c.dom.Element element)` | Deprecated.
  `protected boolean` | `printAttributeWithoutPrefix​(org.w3c.dom.Attr attribute, boolean hasAttribute)` | Deprecated.
  `protected void` | `printAttributeWithPrefix​(org.w3c.dom.Attr attribute, java.lang.StringBuffer buffer)` | Deprecated.
  `protected void` | `printChildren​(org.w3c.dom.Node parent, java.util.Map namespaces)` | Deprecated.
  `protected void` | `printComment​(org.w3c.dom.Comment comment, boolean endWithComma)` | Deprecated.
  `protected void` | `printElement​(org.w3c.dom.Element element, java.util.Map namespaces, boolean endWithComma)` | Deprecated.
  `protected void` | `printEnd​(java.lang.String text, boolean endWithComma)` | Deprecated.
  `protected void` | `printIndent()` | Deprecated.
  `protected void` | `println​(java.lang.String text)` | Deprecated.
  `protected void` | `printPI​(org.w3c.dom.ProcessingInstruction instruction, boolean endWithComma)` | Deprecated.
  `protected void` | `printQuoted​(java.lang.String text)` | Deprecated.
  `protected void` | `printText​(org.w3c.dom.Text node, boolean endWithComma)` | Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### out

    protected IndentPrinter out
    Deprecated.

  - ### inMixed

    protected boolean inMixed
    Deprecated.

  - ### qt

    protected java.lang.String qt
    Deprecated.

  - ### keywords

    protected java.util.Collection<java.lang.String> keywords
    Deprecated.

- ## Constructor Details

  - ### DomToGroovy

    public DomToGroovy​(java.io.PrintWriter out)
    Deprecated.

  - ### DomToGroovy

    public DomToGroovy​(IndentPrinter out)
    Deprecated.

- ## Method Details

  - ### print

    public void print​(org.w3c.dom.Document document)
    Deprecated.

  - ### main

    public static void main​(java.lang.String[] args)
    Deprecated.

  - ### parse

    protected static org.w3c.dom.Document parse​(java.lang.String fileName) throws java.lang.Exception
    Deprecated.
    Throws:
      `java.lang.Exception`

  - ### parse

    public static org.w3c.dom.Document parse​(java.io.File file) throws java.lang.Exception
    Deprecated.
    Throws:
      `java.lang.Exception`

  - ### parse

    public static org.w3c.dom.Document parse​(java.io.Reader input) throws java.lang.Exception
    Deprecated.
    Throws:
      `java.lang.Exception`

  - ### parse

    public static org.w3c.dom.Document parse​(java.io.InputStream input) throws java.lang.Exception
    Deprecated.
    Throws:
      `java.lang.Exception`

  - ### print

    protected void print​(org.w3c.dom.Node node, java.util.Map namespaces, boolean endWithComma)
    Deprecated.

  - ### printElement

    protected void printElement​(org.w3c.dom.Element element, java.util.Map namespaces, boolean endWithComma)
    Deprecated.

  - ### printQuoted

    protected void printQuoted​(java.lang.String text)
    Deprecated.

  - ### printPI

    protected void printPI​(org.w3c.dom.ProcessingInstruction instruction, boolean endWithComma)
    Deprecated.

  - ### printComment

    protected void printComment​(org.w3c.dom.Comment comment, boolean endWithComma)
    Deprecated.

  - ### printText

    protected void printText​(org.w3c.dom.Text node, boolean endWithComma)
    Deprecated.

  - ### escapeQuote

    protected java.lang.String escapeQuote​(java.lang.String text)
    Deprecated.

  - ### defineNamespaces

    protected java.util.Map defineNamespaces​(org.w3c.dom.Element element, java.util.Map namespaces)
    Deprecated.

  - ### defineNamespace

    protected void defineNamespace​(java.util.Map namespaces, java.lang.String prefix, java.lang.String uri)
    Deprecated.

  - ### printAttributes

    protected boolean printAttributes​(org.w3c.dom.Element element)
    Deprecated.

  - ### printAttributeWithPrefix

    protected void printAttributeWithPrefix​(org.w3c.dom.Attr attribute, java.lang.StringBuffer buffer)
    Deprecated.

  - ### getAttributeValue

    protected java.lang.String getAttributeValue​(org.w3c.dom.Attr attribute)
    Deprecated.

  - ### printAttributeWithoutPrefix

    protected boolean printAttributeWithoutPrefix​(org.w3c.dom.Attr attribute, boolean hasAttribute)
    Deprecated.

  - ### checkEscaping

    protected boolean checkEscaping​(java.lang.String localName)
    Deprecated.

  - ### getTextNodeData

    protected java.lang.String getTextNodeData​(org.w3c.dom.Text node)
    Deprecated.

  - ### mixedContent

    protected boolean mixedContent​(org.w3c.dom.NodeList list)
    Deprecated.

  - ### printChildren

    protected void printChildren​(org.w3c.dom.Node parent, java.util.Map namespaces)
    Deprecated.

  - ### getLocalName

    protected java.lang.String getLocalName​(org.w3c.dom.Node node)
    Deprecated.

  - ### printEnd

    protected void printEnd​(java.lang.String text, boolean endWithComma)
    Deprecated.

  - ### println

    protected void println​(java.lang.String text)
    Deprecated.

  - ### print

    protected void print​(java.lang.String text)
    Deprecated.

  - ### printIndent

    protected void printIndent()
    Deprecated.